=== modified file 'drizzled/common_fwd.h'
--- drizzled/common_fwd.h	2011-03-28 23:02:08 +0000
+++ drizzled/common_fwd.h	2011-03-28 23:48:44 +0000
@@ -105,6 +105,7 @@
   class TransactionReplicator;
   class TransactionalStorageEngine;
   class XaResourceManager;
+  class XaStorageEngine;
 }
 
 namespace optimizer 
@@ -181,6 +182,7 @@
 class Hybrid_type;
 class Hybrid_type_traits;
 class Identifier;
+class Index_hint;
 class Internal_error_handler;
 class Item;
 class Item_bool_func2;
@@ -191,21 +193,27 @@
 class Item_ident;
 class Item_in_subselect;
 class Item_row;
+class Item_subselect;
 class Item_sum;
 class Item_sum_hybrid;
 class Join;
 class JoinTable;
+class KeyInfo;
 class LEX;
 class Lex_input_stream;
+class NamedSavepoint;
 class Name_resolution_context;
+class Natural_join_column;
 class ResourceContext;
 class SecurityContext;
 class Select_Lex;
 class Select_Lex_Unit;
+class select_union;
 class SendField;
 class Session;
 class SortField;
 class SortParam;
+class StoredKey;
 class String;
 class TYPELIB;
 class Table;
@@ -213,8 +221,11 @@
 class TableShare;
 class TableShareInstance;
 class Table_ident;
+class Temporal;
 class Time;
+class Timestamp;
 class Time_zone;
+class Tmp_Table_Param;
 class select_result;
 class sys_var;
 class sys_var_str;

=== modified file 'drizzled/sql_lex.h'
--- drizzled/sql_lex.h	2011-03-28 23:02:08 +0000
+++ drizzled/sql_lex.h	2011-03-28 23:48:44 +0000
@@ -41,8 +41,6 @@
 /* YACC and LEX Definitions */
 
 /* These may not be declared yet */
-class Table_ident;
-class file_exchange;
 class Lex_Column;
 class Item_outer_ref;
 

=== modified file 'drizzled/sql_select.h'
--- drizzled/sql_select.h	2011-03-28 23:02:08 +0000
+++ drizzled/sql_select.h	2011-03-28 23:48:44 +0000
@@ -46,8 +46,6 @@
 #define KEY_OPTIMIZE_EXISTS		1
 #define KEY_OPTIMIZE_REF_OR_NULL	2
 
-class Join;
-
 enum_nested_loop_state sub_select_cache(Join *join, JoinTable *join_tab, bool end_of_records);
 enum_nested_loop_state sub_select(Join *join,JoinTable *join_tab, bool end_of_records);
 enum_nested_loop_state end_send_group(Join *join, JoinTable *join_tab, bool end_of_records);

=== modified file 'drizzled/sql_table.h'
--- drizzled/sql_table.h	2011-03-15 23:55:01 +0000
+++ drizzled/sql_table.h	2011-03-28 23:48:44 +0000
@@ -29,17 +29,8 @@
 
 namespace drizzled {
 
-class KeyInfo;
-class Session;
-class TableList;
 typedef struct st_ha_check_opt HA_CHECK_OPT;
-class Table;
 typedef struct st_ha_create_information HA_CREATE_INFO;
-class AlterInfo;
-class Cursor;
-
-namespace message { class Table; }
-namespace identifier { class Table; }
 
 int rm_table_part2(Session *session, TableList *tables, bool if_exists,
                          bool drop_temporary);

=== modified file 'drizzled/statement.h'
--- drizzled/statement.h	2011-03-14 05:40:28 +0000
+++ drizzled/statement.h	2011-03-28 23:48:44 +0000
@@ -27,13 +27,6 @@
 #include <drizzled/show.h>
 
 namespace drizzled {
-
-class Session;
-class TableList;
-class Item;
-
-namespace session { class Transactions; }
-
 namespace statement {
 
 /**

=== modified file 'drizzled/stored_key.h'
--- drizzled/stored_key.h	2011-03-19 17:01:16 +0000
+++ drizzled/stored_key.h	2011-03-28 23:48:44 +0000
@@ -25,10 +25,6 @@
 
 namespace drizzled {
 
-class Field;
-class Session;
-class Item;
-
 /** class to store an field/item as a key struct */
 class StoredKey :public memory::SqlAlloc
 {

=== modified file 'drizzled/structs.h'
--- drizzled/structs.h	2011-03-14 05:40:28 +0000
+++ drizzled/structs.h	2011-03-28 23:48:44 +0000
@@ -27,16 +27,7 @@
 #include <drizzled/lex_string.h>
 #include <drizzled/thr_lock.h>
 
-namespace drizzled
-{
-
-namespace internal
-{
-typedef struct st_io_cache IO_CACHE;
-}
-
-class Table;
-class Field;
+namespace drizzled {
 
 class KeyPartInfo 
 {	/* Info about a key part */
@@ -92,8 +83,6 @@
 };
 
 
-class JoinTable;
-
 class RegInfo 
 {
 public:		/* Extra info about reg */
@@ -113,10 +102,6 @@
   }
 };
 
-class Session;
-class Cursor;
-namespace optimizer { class SqlSelect; }
-
 typedef int *(*update_var)(Session *, struct drizzle_show_var *);
 
 } /* namespace drizzled */

=== modified file 'drizzled/sys_var.h'
--- drizzled/sys_var.h	2011-03-28 02:46:21 +0000
+++ drizzled/sys_var.h	2011-03-28 23:48:44 +0000
@@ -34,11 +34,6 @@
 
 namespace drizzled {
 
-class sys_var;
-class Time_zone;
-typedef struct my_locale_st MY_LOCALE;
-class charset_info_st;
-
 typedef int (*sys_check_func)(Session *,  set_var *);
 typedef bool (*sys_update_func)(Session *, set_var *);
 typedef void (*sys_after_update_func)(Session *, sql_var_t);

=== modified file 'drizzled/system_variables.h'
--- drizzled/system_variables.h	2011-03-28 02:46:21 +0000
+++ drizzled/system_variables.h	2011-03-28 23:48:44 +0000
@@ -22,8 +22,6 @@
 
 namespace drizzled {
 
-class Time_zone;
-
 struct drizzle_system_variables
 {
   /*

=== modified file 'drizzled/table.h'
--- drizzled/table.h	2011-03-23 09:39:54 +0000
+++ drizzled/table.h	2011-03-28 23:48:44 +0000
@@ -41,15 +41,7 @@
 namespace drizzled {
 
 class COND_EQUAL;
-class Field_blob;
-class Item;
-class Item_subselect;
-class SecurityContext;
-class Select_Lex;
-class Select_Lex_Unit;
-class TableList;
 namespace field { class Epoch; }
-namespace plugin { class StorageEngine; }
 
 typedef enum enum_table_category TABLE_CATEGORY;
 typedef struct st_columndef MI_COLUMNDEF;
@@ -807,8 +799,6 @@
     List<LEX_STRING> referenced_fields;
 };
 
-class TableList;
-
 #define JOIN_TYPE_LEFT  1
 #define JOIN_TYPE_RIGHT 2
 
@@ -823,9 +813,6 @@
 
 int test_if_number(char *str,int *res,bool allow_wildcards);
 void change_byte(unsigned char *,uint,char,char);
-
-namespace optimizer { class SqlSelect; }
-
 void change_double_for_sort(double nr,unsigned char *to);
 int get_quick_record(optimizer::SqlSelect *select);
 

=== modified file 'drizzled/table_ident.h'
--- drizzled/table_ident.h	2011-03-15 20:03:35 +0000
+++ drizzled/table_ident.h	2011-03-28 23:48:44 +0000
@@ -26,8 +26,6 @@
 
 namespace drizzled {
 
-class Select_Lex_Unit;
-
 extern char empty_c_string[1];
 extern char internal_table_name[2];
 

=== modified file 'drizzled/table_list.cc'
--- drizzled/table_list.cc	2011-03-23 12:07:34 +0000
+++ drizzled/table_list.cc	2011-03-28 23:48:44 +0000
@@ -27,11 +27,7 @@
 
 using namespace std;
 
-namespace drizzled
-{
-
-class Item;
-class Item_field;
+namespace drizzled {
 
 bool TableList::set_insert_values(memory::Root *)
 {

=== modified file 'drizzled/table_list.h'
--- drizzled/table_list.h	2011-03-14 05:40:28 +0000
+++ drizzled/table_list.h	2011-03-28 23:48:44 +0000
@@ -23,23 +23,9 @@
 #include <drizzled/nested_join.h>
 #include <drizzled/table.h>
 
-namespace drizzled
-{
+namespace drizzled {
 
-class Index_hint;
 class COND_EQUAL;
-class Natural_join_column;
-class select_union;
-class Select_Lex_Unit;
-class Select_Lex;
-class Tmp_Table_Param;
-class Item_subselect;
-class Table;
-
-namespace plugin
-{
-  class StorageEngine;
-}
 
 /**
  * A Table referenced in the FROM clause.

=== modified file 'drizzled/table_reference.h'
--- drizzled/table_reference.h	2011-03-14 05:40:28 +0000
+++ drizzled/table_reference.h	2011-03-28 23:48:44 +0000
@@ -30,11 +30,7 @@
 #include <drizzled/base.h>
 #include <drizzled/definitions.h>
 
-namespace drizzled
-{
-
-class StoredKey;
-class Item;
+namespace drizzled {
 
 struct table_reference_st
 {

=== modified file 'drizzled/temporal.h'
--- drizzled/temporal.h	2011-03-14 05:40:28 +0000
+++ drizzled/temporal.h	2011-03-28 23:48:44 +0000
@@ -67,17 +67,11 @@
 #define DRIZZLE_YY_PART_YEAR  70
 
 #include <drizzled/calendar.h>
-
+#include <drizzled/common_fwd.h>
 #include <cassert>
 #include <ostream>
 
-/* Outside forward declarations */
-namespace type {
-class Decimal;
-}
-
-namespace drizzled
-{
+namespace drizzled {
 
 /* Forward declaration needed */
 class TemporalInterval;
@@ -197,11 +191,6 @@
   friend class TemporalFormat;
 };
 
-/* Forward declaration needed */
-class DateTime;
-class Timestamp;
-class Time;
-
 /**
  * Class representing temporal components in a valid
  * SQL date range, with no time component

=== modified file 'drizzled/temporal_format.h'
--- drizzled/temporal_format.h	2011-03-14 05:40:28 +0000
+++ drizzled/temporal_format.h	2011-03-28 23:48:44 +0000
@@ -35,8 +35,7 @@
 /* Output vector size for pcre matching.  Should be multiple of 3. */
 #define OUT_VECTOR_SIZE 30
 
-namespace drizzled
-{
+namespace drizzled {
 
 /* Forward declaration needed */
 class Temporal;

=== modified file 'drizzled/thr_lock.h'
--- drizzled/thr_lock.h	2011-03-14 05:40:28 +0000
+++ drizzled/thr_lock.h	2011-03-28 23:48:44 +0000
@@ -183,8 +183,6 @@
   }
 };
 
-class Session; 
-
 #define thr_lock_owner_init(owner, info_arg) (owner)->info= (info_arg)
 DRIZZLED_API void thr_lock_init(THR_LOCK *lock);
 enum enum_thr_lock_result thr_multi_lock(Session &session, THR_LOCK_DATA **data,

=== modified file 'drizzled/tmp_table_param.h'
--- drizzled/tmp_table_param.h	2011-03-28 02:46:21 +0000
+++ drizzled/tmp_table_param.h	2011-03-28 23:48:44 +0000
@@ -22,10 +22,7 @@
 
 #include <plugin/myisam/myisam.h>
 
-namespace drizzled
-{
-
-class CopyField;
+namespace drizzled {
 
 /*
   Param to create temporary tables when doing SELECT:s

=== modified file 'drizzled/transaction_services.h'
--- drizzled/transaction_services.h	2011-03-24 00:16:14 +0000
+++ drizzled/transaction_services.h	2011-03-28 23:48:44 +0000
@@ -36,19 +36,6 @@
 
 namespace drizzled {
 
-/* some forward declarations needed */
-namespace plugin
-{
-  class MonitoredInTransaction;
-  class XaResourceManager;
-  class XaStorageEngine;
-  class TransactionalStorageEngine;
-}
-
-class Session;
-class NamedSavepoint;
-class Field;
-
 /**
  * This is a class which manages the XA transaction processing
  * in the server

